---
title: Resources
description: More places where you can learn about Ocean Protocol.
---

## Papers

All papers can be retrieved from the [Papers section](https://oceanprotocol.com/protocol/#papers) on our home page:

- **Technical Whitepaper** - This paper presents Ocean Protocol. Ocean is a decentralized protocol and network of artificial intelligence (AI) data/services. It incentivizes for a vast supply of relevant AI data/services.
- **Business Strategy** - This document presents a summary of the business model and ecosystem of Ocean Protocol. It is complementary to the technical whitepaper for Ocean Protocol.
- **Marketplace Framework** - This document presents a summary of the core marketplace attributes and components required to facilitate the successful deployment of the decentralized data exchange protocol and network called Ocean Protocol.

## Roadmap

[Ocean Protocol roadmap](https://oceanprotocol.com/protocol/#roadmap) outlining our plans and achievements in creating Ocean Protocol and building a community and ecosystem around it.

## Blog

Follow our [blog](https://blog.oceanprotocol.com/) to keep up-to-date with news about our community, tech progress, new use-cases, integrations and everything around Ocean.

In March 2019, we launched [an international version](https://medium.com/ocean-protocol-international)
of our blog for our non-english speaking communities. You can find blog posts in various languages such as Chinese, Russian, Korean, Spanish, Japanese and many more.

Below we have listed the most important blog posts that you should not miss.

### Diving into Ocean

The blog posts are easily-digestible introductions into Ocean Protocol. We address the “data problem” and explore real world uses cases involving our partners and collaborators.

- [4 Reasons to Dive into Ocean Protocol (and change the World)](https://blog.oceanprotocol.com/4-reasons-to-dive-into-ocean-protocol-and-change-the-world-b18cc8d53235)
- [4 Ways We’re Unlocking the Value of Data through Partnerships](https://blog.oceanprotocol.com/4-ways-were-unlocking-the-value-of-data-through-partnerships-9ee468e38265)
- [Building a better world with safe sharing of data](https://blog.oceanprotocol.com/building-a-better-world-with-safe-sharing-of-data-d448ec2472b0)

### Product

Already familiar with Ocean and want to jump into the tech? These blog posts explore product developments, updates and integrations.

#### Privacy

- [Blockchains for Artificial Intelligence](https://blog.oceanprotocol.com/blockchains-for-artificial-intelligence-ec63b0284984)
- [From AI to Blockchain to Data: Meet Ocean](https://blog.oceanprotocol.com/from-ai-to-blockchain-to-data-meet-ocean-f210ff460465)
- [Ocean’s Top-Level Goals](https://blog.oceanprotocol.com/oceans-top-level-goals-3dd75907187)

#### Control

- [Exploring the SEA: Service Execution Agreements](https://blog.oceanprotocol.com/exploring-the-sea-service-execution-agreements-65f7523d85e2)
- [Introducing the Ocean Protocol Service Agreements](https://blog.oceanprotocol.com/oep-11-service-agreements-63421ca76d9f)

#### Security

- [Secure On-Chain Access Control for Ocean Protocol](https://blog.oceanprotocol.com/secure-on-chain-access-control-for-ocean-protocol-38dca0af820c)
- [Ocean Integration: fitchain — Providing Secure On-Premise Compute](https://blog.oceanprotocol.com/ocean-integration-fitchain-secure-on-premises-compute-59f43a944266)
- [Smart Contracts Security Audit](https://blog.oceanprotocol.com/smart-contracts-security-audit-6672de695b5b)

#### Incentives

- [Curated Proofs Markets: A Walk-Through of Ocean’s Core Token Mechanics](https://blog.oceanprotocol.com/curated-proofs-markets-a-walk-through-of-oceans-core-token-mechanics-3d50851a8005)
- [The Layered TCR](https://blog.oceanprotocol.com/the-layered-tcr-56cc5b4cdc45)- [Introducing the equilibrium bonding market](https://blog.oceanprotocol.com/introducing-the-equilibrium-bonding-market-e7db528e0eff)
- [How Ocean can benefit data scientists](https://blog.oceanprotocol.com/how-ocean-can-benefit-data-scientists-7e502e5f1a5f)

#### Other worthwhile reading about product and deep tech

- [Project Manta Ray — Data Science powered by Ocean Protocol](https://blog.oceanprotocol.com/project-manta-ray-data-science-powered-by-ocean-protocol-535c54089b0f)
- [Ocean ♥ Docker](https://blog.oceanprotocol.com/ocean-docker-d43d992d8ecf)
- [How to Swim in the Ocean: Introducing Squid Libraries](https://blog.oceanprotocol.com/ocean-protocol-squid-library-java-c92a6035ce39)
- [The Commons Marketplace](https://blog.oceanprotocol.com/the-commons-data-marketplace-c57a44288314)
- [The Commons Marketplace in Pacific Network](https://blog.oceanprotocol.com/the-commons-marketplace-in-pacific-network-4bcf2f595721)

## Videos

Follow [our YouTube channel](https://www.youtube.com/oceanprotocol) not to miss any of our video content that includes meetup recordings, tech tutorials, use-case presentations and much more. Here is a selection of our most important playlists:

- [Ocean Partners and Collaborators](https://www.youtube.com/playlist?list=PL_dn0wVs9kWohtVtZZlj9AR5gcMj0s15h) - This series introduces our partners and collaborators and explores the possible way how Ocean Protocol can help their use-cases.
  We have translated this series into several languages. Just add the subtitles of your choice while watching.
- [Manta Ray Tutorials](https://www.youtube.com/playlist?list=PL_dn0wVs9kWqSO2iCXvrWuxKFSgVr0Jrw) - Introducing Manta Ray - Ocean Protocol for Data Scientists, Data Engineers, and Python developers!
  Manta Ray is designed to leverage the underlying Ocean API (oceanically named squid-py) which provides surface level methods for searching, publishing, and consuming assets in the deeper Ocean Protocol network.
- [Meet the Fleet](https://www.youtube.com/playlist?list=PL_dn0wVs9kWrgEGk0cd52qO6w3FiuY65G) - Ocean Protocol is being built by a diverse ecosystem of contributors who share a common vision of unlocking data for AI. Our core team has converged from many different countries, industries, and backgrounds to collaborate on kickstarting a New Data Economy. Check this mini series to find out who helps developing Ocean Protocol.

## Events

Our team members travel the world to present about Ocean Protocol and meet with local communities. Please, check [our website](https://oceanprotocol.com/#events) for events in your area.

We also often host and co-organize meetups all around the globe. Check the different meetup groups to find a group in your city and attend our meetup:

- [Data Economy](https://www.meetup.com/de-DE/pro/data-economy) - Estimates show that a \$2-5 Trillion Data Economy could be created if organizations and people would have the tools to guarantee control, privacy, security, compliance and pricing of data. Our target is bringing together curious minds with a background in Data Science, Blockchain, Artificial Intelligence, Robotics, Business Innovation and Blockchain. We started this initiative to build a community of enthusiasts around Data Economy including the following core topic areas: (1) Data Exchanges & Marketplaces, (2) Data Security, Privacy, Ethics, (3) Decentralised Systems & Blockchain, (4) Artificial Intelligence & Machine Learning, (5) Data Curation & Interoperability, and (6) New Business Models and Tangible Use Cases.

- [Token Engineering](https://www.meetup.com/pro/tokenengineering/) - Our mission is to see token ecosystem design become a new engineering discipline. This implies a body of theory, practice, tools and a sense of responsibility. We aim to do this collectively as a community in a decentralized, permissionless, open-source fashion that all can contribute to and all can use.
